package com.hai.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
public class CommonSysConfig {

    private String tuanYouUrl;
    private String tuanYouAppKey;
    private String tuanYouAppSecret;

    public String getTuanYouUrl() {
        return tuanYouUrl;
    }

    public void setTuanYouUrl(String tuanYouUrl) {
        this.tuanYouUrl = tuanYouUrl;
    }

    public String getTuanYouAppKey() {
        return tuanYouAppKey;
    }

    public void setTuanYouAppKey(String tuanYouAppKey) {
        this.tuanYouAppKey = tuanYouAppKey;
    }

    public String getTuanYouAppSecret() {
        return tuanYouAppSecret;
    }

    public void setTuanYouAppSecret(String tuanYouAppSecret) {
        this.tuanYouAppSecret = tuanYouAppSecret;
    }
}
